searchData={"items":[{"type":"module","title":"PhoenixPlayground","doc":"","ref":"PhoenixPlayground.html"},{"type":"function","title":"PhoenixPlayground.start_link/1","doc":"Starts Phoenix Playground.\n\nThis functions starts Phoenix with a LiveView (`:live`), a controller (`:controller`),\nor a router (`:router`).","ref":"PhoenixPlayground.html#start_link/1"},{"type":"function","title":"Options - PhoenixPlayground.start_link/1","doc":"* `:live` - a LiveView module.\n\n  * `:controller` - a controller module.\n\n  * `:router` - a router module.\n\n  * `:port` - port to listen on, defaults to: `4000`.\n\n  * `:open_browser` - whether to open the browser on start, defaults to `true`.","ref":"PhoenixPlayground.html#start_link/1-options"},{"type":"module","title":"PhoenixPlayground.Test","doc":"Conveniences for testing single-file Phoenix apps.","ref":"PhoenixPlayground.Test.html"},{"type":"module","title":"Examples - PhoenixPlayground.Test","doc":"Mix.install([\n      {:phoenix_playground, \"~> 0.1.0\"}\n    ])\n\n    defmodule DemoLive do\n      use Phoenix.LiveView\n\n      def mount(_params, _session, socket) do\n        {:ok, assign(socket, count: 0)}\n      end\n\n      def render(assigns) do\n        ~H\"\"\"\n         Count: <%= @count %>   + \n        \"\"\"\n      end\n\n      def handle_event(\"inc\", _params, socket) do\n        {:noreply, update(socket, :count, &(&1 + 1))}\n      end\n    end\n\n    Logger.configure(level: :info)\n    ExUnit.start()\n\n    defmodule DemoLiveTest do\n      use ExUnit.Case\n      use PhoenixPlayground.Test, live: DemoLive\n\n      test \"it works\" do\n        {:ok, view, html} = live(build_conn(), \"/\")\n\n        assert html =~ \"Count: 0\"\n        assert render_click(view, :inc, %{}) =~ \"Count: 1\"\n        assert render_click(view, :inc, %{}) =~ \"Count: 2\"\n      end\n    end","ref":"PhoenixPlayground.Test.html#module-examples"},{"type":"extras","title":"Phoenix Playground","doc":"# Phoenix Playground\n\n[![CI](https://github.com/phoenix-playground/phoenix_playground/actions/workflows/ci.yml/badge.svg)](https://github.com/phoenix-playground/phoenix_playground/actions/workflows/ci.yml)\n\nPhoenix Playground makes it easy to create single-file [Phoenix](https://www.phoenixframework.org) applications.","ref":"readme.html"},{"type":"extras","title":"Examples - Phoenix Playground","doc":"* [`examples/demo_live.exs`](examples/demo_live.exs)\n  * [`examples/demo_live_test.exs`](examples/demo_live_test.exs)\n  * [`examples/demo_controller.exs`](examples/demo_controller.exs)\n  * [`examples/demo_controller_test.exs`](examples/demo_controller_test.exs)\n  * [`examples/demo_router.exs`](examples/demo_router.exs)","ref":"readme.html#examples"},{"type":"extras","title":"License - Phoenix Playground","doc":"Copyright (c) 2024 Wojtek Mach\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 (2024-04-18) - Changelog","doc":"* Initial release","ref":"changelog.html#v0-1-0-2024-04-18"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}